{
"success": true
}{
"success": false,
"validationErrors": [
{
"error": "INVALID_PROPERTY_VALUE",
"errorType": "FLOW_JSON_ERROR",
"message": "Invalid value found for property 'type'.",
"lineStart": 10,
"lineEnd": 10,
"columnStart": 21,
"columnEnd": 34,
"pointers": [
{
"lineStart": 10,
"lineEnd": 10,
"columnStart": 21,
"columnEnd": 34,
"path": "screens[0].layout.children[0].type"
}
]
}
]
}WhatsApp Flows
Update flow structure
Updates a WhatsApp Flow’s structure. Note that the file must be attached as form-data.
PATCH
https://api.ycloud.com/v2
/
whatsapp
/
flows
/
{flowId}
/
assets
{
"success": true
}{
"success": false,
"validationErrors": [
{
"error": "INVALID_PROPERTY_VALUE",
"errorType": "FLOW_JSON_ERROR",
"message": "Invalid value found for property 'type'.",
"lineStart": 10,
"lineEnd": 10,
"columnStart": 21,
"columnEnd": 34,
"pointers": [
{
"lineStart": 10,
"lineEnd": 10,
"columnStart": 21,
"columnEnd": 34,
"path": "screens[0].layout.children[0].type"
}
]
}
]
}
